<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMssEsmFault_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMssEsmFault_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Structure to hold the MSS ESM Fault data strucutre for event RL_DEV_AE_MSS_ESMFAULT_SB.  
 <a href="structrl_mss_esm_fault__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a3ff91c03eb204efcf148bd84aac3e1a5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3ff91c03eb204efcf148bd84aac3e1a5"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mss_esm_fault__t.html#a3ff91c03eb204efcf148bd84aac3e1a5">esmGrp1Err</a></td></tr>
<tr class="memdesc:a3ff91c03eb204efcf148bd84aac3e1a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bits Definition 0 NERROR in sync <br />
 1 RESERVED <br />
 2 DMA MPU Region tests <br />
 3 DMA Parity error <br />
 4 RESERVED <br />
 5 RESERVED <br />
 6 Access error interrupt from FFT ACC <br />
 7 CSI TX FIFO Parity Err <br />
 8 TPCC parity error <br />
 9 CBUF ECC single bit error <br />
 10 RESERVED <br />
 11 RESERVED <br />
 12 RESERVED <br />
 13 Error response from the Peripheral when a DMA transfer is done <br />
 14 RESERVED <br />
 15 VIM RAM double bit errors <br />
 16 RESERVED <br />
 17 MibSPI double bit error test <br />
 18 ECC error on CBUFF <br />
 19 RESERVED <br />
 20 VIM RAM single bit errors <br />
 21 RESERVED <br />
 22 RESERVED <br />
 23 RESERVED <br />
 24 RESERVED <br />
 25 MibSPI single bit error test <br />
 26 TCMB RAM single bit errors <br />
 27 STC error <br />
 28 TCMB RAM single bit errors <br />
 29 TPTC0 read to protected memory <br />
 30 DCC compare error <br />
 31 CR4F self-test error.(test of error path by error forcing) <br />
. <br /></td></tr>
<tr class="separator:a3ff91c03eb204efcf148bd84aac3e1a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf87c9bd263469091701f45fe1119ea6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaf87c9bd263469091701f45fe1119ea6"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mss_esm_fault__t.html#aaf87c9bd263469091701f45fe1119ea6">esmGrp2Err</a></td></tr>
<tr class="memdesc:aaf87c9bd263469091701f45fe1119ea6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bits Definition <br />
 0 TCMA RAM single bit errors <br />
 1 RESERVED <br />
 2 RESERVED <br />
 3 TPTC0 write to protected memory <br />
 4 RESERVED <br />
 5 RESERVED <br />
 6 Access error interrupt from FFT ACC <br />
 7 VIM Self-Test Error <br />
 8 RESERVED <br />
 9 RESERVED <br />
 10 RESERVED <br />
 11 RESERVED <br />
 12 QSPI not able to perform the Write to FLASH <br />
 13 RESERVED <br />
 14 RESERVED <br />
 15 RESERVED <br />
 16 RESERVED <br />
 17 RESERVED <br />
 18 RESERVED <br />
 19 RESERVED <br />
 20 RESERVED <br />
 21 RESERVED <br />
 22 RESERVED <br />
 23 RESERVED <br />
 24 RESERVED <br />
 25 RESERVED <br />
 26 radarSS Mailbox single bit errors <br />
 27 radarSS Mailbox double bit errors <br />
 28 MSS Mailbox single bit errors <br />
 29 MSS Mailbox double bit errors <br />
 30 RESERVED <br />
 31 RESERVED <br />
. <br /></td></tr>
<tr class="separator:aaf87c9bd263469091701f45fe1119ea6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57d900203fe9eb83add02a45e2ccf795"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a57d900203fe9eb83add02a45e2ccf795"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mss_esm_fault__t.html#a57d900203fe9eb83add02a45e2ccf795">reserved0</a></td></tr>
<tr class="memdesc:a57d900203fe9eb83add02a45e2ccf795"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a57d900203fe9eb83add02a45e2ccf795"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Structure to hold the MSS ESM Fault data strucutre for event RL_DEV_AE_MSS_ESMFAULT_SB. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
